#version 330 core

layout(location = 0) in vec4 g_position;
layout(location = 1) in vec4 g_normal;
uniform mat4 g_worldViewProjMat;
out vec4 g_normalOut;

void main()
{
	gl_Position = g_worldViewProjMat * g_position;
	g_normalOut = g_normal;
}