#version 330 core

layout(location = 0) in vec4 g_position;
layout(location = 1) in vec4 g_normal;
layout(location = 2) in vec2 g_uv;
uniform mat4 g_worldViewProjMat;
out vec4 g_normalOut;
out vec2 g_uvOut;

void main()
{
	gl_Position = g_worldViewProjMat * g_position;
	g_normalOut = g_normal;
	g_uvOut = g_uv;
}