#version 330 core

in vec4 g_normalOut;
uniform vec4 g_lightVector;
uniform mat4 g_worldMat;
out vec4 color;

void main()
{
	vec4 N = normalize(g_normalOut);
	N=g_worldMat*N;
	vec4 L = normalize(g_lightVector);
	float lambert = clamp(dot(N, L), 0.0, 1.0);
	color = vec4(1,1,0,1)*lambert;
}