#version 330 core

in vec4 g_normalOut;
in vec2 g_uvOut;
uniform vec4 g_lightVector;
uniform mat4 g_worldMat;
out vec4 color;
uniform sampler2D g_textureSampler;

void main()
{
	//texture̐F
	vec4 texColor = texture(g_textureSampler, g_uvOut).rgba;

	//o[g̐F
	vec4 N = normalize(g_normalOut);
	N=g_worldMat*N;
	vec4 L = normalize(g_lightVector);
	float lambert = clamp(dot(N, L), 0.0, 1.0);
	lambert = dot(N, L);

	//Q̐F~bNXčŏIF
	color = texColor * lambert;
}